using System;
using Microsoft.SPOT;
using GoBusExperimental;
using Microsoft.SPOT.Hardware;

using Komodex.NETMF.Common;

namespace Komodex.NETMF
{
    public class ExternalHubGoPort : GoPort
    {
        public ExternalHubGoPort(int id, Cpu.Pin gpioPin, Cpu.Pin spiChipSelectPin, SPI.SPI_module spiModule, Cpu.Pin uartTXPin, Cpu.Pin uartRXPin)
            : base(id, gpioPin, spiChipSelectPin, spiModule, uartTXPin, uartRXPin)
        {
        }

        public override void SPIWriteRead(byte[] writeBuffer, int writeIndex, int writeLength, byte[] readBuffer, int readIndex, int readLength, int startReadOffset)
        {
            ((ExternalHub)Hub).SetCS(ID);
            base.SPIWriteRead(writeBuffer, writeIndex, writeLength, readBuffer, readIndex, readLength, startReadOffset);
            ((ExternalHub)Hub).SetCS(0);
        }

        protected override void InitializeGpioPin()
        {
            // TODO: Implement GPIO pin by calling Hub methods.
            // Don't do anything here for now.
        }
    }
}
