using System;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;

namespace GoBusExperimental
{
    public class NetworkGoPortServer : GoPort
    {
        public NetworkGoPortServer(int id, Cpu.Pin gpioPin, Cpu.Pin spiChipSelectPin, SPI.SPI_module spiModule, Cpu.Pin uartTXPin, Cpu.Pin uartRXPin)
            : base(id, gpioPin, spiChipSelectPin, spiModule, uartTXPin, uartRXPin)
        {
        }

        private uint _spiClockRate;
        public uint SPIClockRate
        {
            get { return _spiClockRate; }
            set
            {
                if (_spiClockRate == value)
                    return;
                _spiClockRate = value;
                _spiConfig = new SPI.Configuration(_spiChipSelectPin, false, 0, 0, false, false, _spiClockRate, _spiModule);
            }
        }

        protected override SPI.Configuration GetSPIConfiguration()
        {
            return _spiConfig;
        }

        protected override void SendOnGpioPinInterrupt(uint data1, uint data2, DateTime time)
        {
            NetworkGoHubServer hub = (NetworkGoHubServer)Hub;
            hub.SendGpioPinInterrupt(this);
        }
    }
}
