﻿using System;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.Netduino;
using GoBusExperimental;
using Komodex.NETMF;
using Microsoft.SPOT.Net.NetworkInformation;

namespace NetworkGoBusServerSample
{
    public class Program
    {
        public static void Main()
        {
            // Wait for network connection and DHCP
            while (IPAddress.GetDefaultLocalAddress() == IPAddress.Any)
                Thread.Sleep(10);
            Debug.Print("Got IP: " + IPAddress.GetDefaultLocalAddress());

            var hub = new NetworkGoHubServer(1234);
            var port = new NetworkGoPortServer(1, Pins.GPIO_PIN_D1, Pins.GPIO_PIN_D0, SPI.SPI_module.SPI1, Cpu.Pin.GPIO_NONE, Cpu.Pin.GPIO_NONE);
            hub.AddGoPort(port, Cpu.Pin.GPIO_NONE, Cpu.Pin.GPIO_NONE);

            while (true)
                Thread.Sleep(100);
        }

    }
}
